HOBBITD_CHANNEL(8)

NAME
hobbitd_channel - Feed a hobbitd channel to a worker module

SYNOPSIS
hobbitd_channel --channel=CHANNEL [options] workerprogram [worker-options]

DESCRIPTION
hobbitd_channel hooks into one of the hobbitd(8) channels that provide information about events occurring in the Xymon system. It retrieves messages from the hobbitd daemon, and passes them on to the workerprogram on the STDIN (file descripter 1) of the worker program. Worker programs can then handle messages as they like. A number of worker programs are shipped with hobbitd, e.g. hobbitd_filestore(8) hobbitd_history(8) hobbitd_alert(8) hobbitd_rrd(8) If you want to write your own worker module, a sample worker module is provided as part of the hobbitd distribution in the hobbitd_sample.c file. This illustrates how to easily fetch and parse messages.

OPTIONS
hobbitd_channel accepts a few options.

--channel=CHANNELNAME
    Specifies the channel to receive messages from, only one channel can be used. This option is required. The following channels are available:
    "status" receives all Xymon status- and summary-messages
    "stachg" receives information about status changes
    "page" receives information about statuses triggering alerts
    "data" receives all Xymon "data" messages
    "notes" receives all Xymon "notes" messages
    "enadis" receives information about hosts being disabled or enabled.

--daemon
    hobbitd_channel is normally started by hobbitlaunch(8) as a task defined in the hobbitlaunch.cfg(5) file. If you are not using hobbitlaunch, then starting hobbitd_channel with this option causes it to run as a stand-alone background task.

--pidfile=FILENAME
    If running as a stand-alone daemon, hobbitd_channel will save the proces-ID of the daemon in FILENAME. This is useful for automated startup- and shutdown- scripts.

--env=FILENAME
    Loads the environment variables defined in FILENAME before starting hobbitd_channel. This is normally used only when running as a stand-alone daemon; if hobbitd_channel is started by hobbitlaunch, then the environment is controlled by the task definition in the hobbitlaunch.cfg(5) file.

--log=FILENAME
    Redirect output to this log-file.

--debug
    Enable debugging output.

FILES
This program does not use any configuration files.

SEE ALSO
hobbitd(8), xymon(7)